Name:           python-poetry-core
Version:        1.4.0
Release:        1 
Summary:        Poetry PEP 517 Build Backend

# We bundle a lot of libraries with poetry, which itself is under MIT license.
# Here is the list of the libraries with corresponding licenses:

# attrs: MIT
# jsonschema: MIT
# lark: MIT
# packaging: ASL 2.0 or BSD
# pkgutil-resolve-name: MIT
# pyparsing: MIT
# pyrsistent: MIT
# tomlkit: MIT
# typing-extensions: Python

License:        MIT and (ASL 2.0 or BSD) and Python
URL:            https://github.com/python-poetry/poetry-core
Source0:        %{url}/archive/%{version}/poetry-core-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

# for tests (only specified via poetry poetry.dev-dependencies with pre-commit etc.)
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-virtualenv
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:  gcc
BuildRequires:  git-core


%global _description %{expand:
A PEP 517 build backend implementation developed for Poetry.
This project is intended to be a light weight, fully compliant, self-contained
package allowing PEP 517 compatible build frontends to build Poetry managed
projects.}

%description %_description


%package -n python3-poetry-core
Summary:        %{summary}

# Previous versions of poetry included poetry-core in it
Conflicts:      python%{python3_version}dist(poetry) < 1.1
# The bundled versions are taken from src/poetry/core/_vendor/vendor.txt
Provides:       bundled(python3dist(attrs)) = 22.1
Provides:       bundled(python3dist(jsonschema)) = 4.10
Provides:       bundled(python3dist(lark)) = 1.1.2
Provides:       bundled(python3dist(packaging)) = 21.3
Provides:       bundled(python3dist(pkgutil-resolve-name)) = 1.3.10
Provides:       bundled(python3dist(pyparsing)) = 3.0.9
Provides:       bundled(python3dist(pyrsistent)) = 0.18.1
Provides:       bundled(python3dist(tomlkit)) = 0.11.4
Provides:       bundled(python3dist(typing-extensions)) = 4.3.0

%description -n python3-poetry-core %_description


%prep
%autosetup -p1 -n poetry-core-%{version}

%build
%pyproject_build


%install
%pyproject_install poetry-core==1.4.0

%check
# don't use %%tox here because tox.ini runs "poetry install"
# TODO investigate failures in test_default_with_excluded_data, test_default_src_with_excluded_data
# pytest -k "not with_excluded_data"


%files -n python3-poetry-core
%doc README.md
%license LICENSE
%{python3_sitelib}/poetry
%{python3_sitelib}/poetry*.dist-info/


%changelog
* Wed May 17 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.4.0-1
- Initial package 1.4.0
